Bug 178747 - [patch update] devel/dragon 1.3.8 -> 1.3.9
Summary: [patch update] devel/dragon 1.3.8 -> 1.3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-18 18:10 UTC by Kurt Jaeger
Modified: 2013-05-23 10:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.83 KB, patch)
2013-05-18 18:10 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-05-18 18:10:00 UTC
	The autoconf usage was update to a more recent autoconf.
	A library naming collission with a LIB_DEPENDS was fixed.
	GPLv2 -> GPLv3

	There is still a package naming collission with multimedia/dragon 8-(

How-To-Repeat: 	-
Comment 1 Frederic Culot freebsd_committer 2013-05-18 20:55:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 Kurt Jaeger 2013-05-20 17:59:53 UTC
Hi!

> Thank you very much for your problem report.
> It has the internal identification `ports/178747'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=178747
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [patch update] devel/dragon 1.3.8 -> 1.3.9
> >Arrival-Date:   Sat May 18 17:10:00 UTC 2013

New version of the update, to 1.3.10:

---------

diff -r -u -N devel/dragon/Makefile /usr/home/pi/myp/devel/dragon/Makefile
--- devel/dragon/Makefile	2013-05-16 23:24:26.000000000 +0200
+++ /usr/home/pi/myp/devel/dragon/Makefile	2013-05-20 18:56:54.000000000 +0200
@@ -2,16 +2,16 @@
 # $FreeBSD: head/devel/dragon/Makefile 318261 2013-05-15 19:43:20Z zeising $
 
 PORTNAME=	dragon
-PORTVERSION=	1.3.8
+PORTVERSION=	1.3.10
 CATEGORIES=	devel
 MASTER_SITES=	http://www.lemke-it.com/
 
 MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	Combined C++ scanner/parser generator for LR compliant grammars
 
-LIB_DEPENDS=	lfc:${PORTSDIR}/devel/lfc
+LIB_DEPENDS=	lfcbase.1:${PORTSDIR}/devel/lfcbase
 
-LICENSE=	GPLv2
+LICENSE=	GPLv3
 GNU_CONFIGURE=	yes
 PLIST_FILES=	bin/dragon
 
diff -r -u -N devel/dragon/distinfo /usr/home/pi/myp/devel/dragon/distinfo
--- devel/dragon/distinfo	2013-01-01 15:29:39.000000000 +0100
+++ /usr/home/pi/myp/devel/dragon/distinfo	2013-05-20 18:57:01.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (dragon-1.3.8.tar.gz) = 5f145a5c7daf2acfe9a54381ac0d496039a07e6516c2d335004fd1c7150185e7
-SIZE (dragon-1.3.8.tar.gz) = 123767
+SHA256 (dragon-1.3.10.tar.gz) = 8f1ce4f0b8d80d84027dfb7681a65fad8f8a2aecf83b55c8576f98435bb0df6f
+SIZE (dragon-1.3.10.tar.gz) = 774653
---------

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 3 Niclas Zeising freebsd_committer 2013-05-23 10:33:46 UTC
Responsible Changed
From-To: culot->zeising

Grab from culot, since he doesn't have time to work on this.  OKd by: 
culot
Comment 4 Niclas Zeising freebsd_committer 2013-05-23 10:34:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!